Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.util
Class DefaultXYZDataset

    java.lang.Object
      org.jfree.data.general.AbstractDataset
          org.jfree.data.general.AbstractSeriesDataset
              org.jfree.data.xy.AbstractXYDataset
                  org.jfree.data.xy.AbstractXYZDataset
                      net.sf.jasperreports.charts.util.DefaultXYZDataset

All Implemented Interfaces:
  java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, org.jfree.data.general.Dataset, org.jfree.data.general.SeriesChangeListener, org.jfree.data.general.SeriesDataset, org.jfree.data.xy.XYDataset, org.jfree.data.xy.XYZDataset

    public class DefaultXYZDataset

extends org.jfree.data.xy.AbstractXYZDataset

Version:
  $Id: DefaultXYZDataset.java 3438 2010-02-18 14:39:36Z teodord $
Author:
  Flavius Sana (flavius_sana@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`DefaultXYZDataset()`

Method Summary
`void` | `addValue(java.lang.Comparable series, java.lang.Number xValue, java.lang.Number yValue, java.lang.Number zValue)`
`int` | `getItemCount(int series)`
`int` | `getSeriesCount()`
`java.lang.Comparable` | `getSeriesKey(int index)`
`java.lang.Number` | `getX(int series, int index)`
`java.lang.Number` | `getY(int series, int index)`
`java.lang.Number` | `getZ(int series, int index)`

Methods inherited from class org.jfree.data.xy.AbstractXYZDataset
`getZValue`

Methods inherited from class org.jfree.data.xy.AbstractXYDataset
`getDomainOrder, getXValue, getYValue`

Methods inherited from class org.jfree.data.general.AbstractSeriesDataset
`indexOf, seriesChanged`

Methods inherited from class org.jfree.data.general.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, hasListener, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.xy.XYDataset
`getDomainOrder, getXValue, getYValue`

Methods inherited from interface org.jfree.data.general.SeriesDataset
`indexOf`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### DefaultXYZDataset

    public DefaultXYZDataset()

Method Detail

### addValue

    public void addValue(java.lang.Comparable series,
                         java.lang.Number xValue,
                         java.lang.Number yValue,
                         java.lang.Number zValue)

### getSeriesCount

    public int getSeriesCount()

  Specified by:
    `getSeriesCount` in interface `org.jfree.data.general.SeriesDataset`
  Specified by:
    `getSeriesCount` in class `org.jfree.data.general.AbstractSeriesDataset`

### getZ

    public java.lang.Number getZ(int series,
                                 int index)

### getItemCount

    public int getItemCount(int series)

### getX

    public java.lang.Number getX(int series,
                                 int index)

### getY

    public java.lang.Number getY(int series,
                                 int index)

### getSeriesKey

    public java.lang.Comparable getSeriesKey(int index)

  Specified by:
    `getSeriesKey` in interface `org.jfree.data.general.SeriesDataset`
  Specified by:
    `getSeriesKey` in class `org.jfree.data.general.AbstractSeriesDataset`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com